Il 21/10/2014 15:38, Buck Calabro ha scritto:
On 10/20/2014 4:25 PM, Bob Cagle wrote:
I don't have a back level machine to test against. Suppose I have two
machines. One is at 5.4 and the other is at 7.2. I fire up RDi and
edit RPG source on both machines, typing a valid dcl-s line. Will Lpex
throw a syntax error only on the 5.4 member?
No. It will consider it valid, and you'll get an error compiling on the 540 machine. I'm sure, since it happens to me daily (develop on a 540 machine with RDi 7.6, so PR isn't mandatory for RDi, but for compiler yes, so i end up most time going back to source and add missing PR to local copybook).

If there's a way to 'force' RDi to check a source again a previous release, i would be glad to know, as it will semplify my job.

I thought that the syntax checkers are part of RDi, but then I
remembered that CL gets validated by calls to IBM i so now I don't know...


As an Amazon Associate we earn from qualifying purchases.

This thread ...

Replies:

Follow On AppleNews
Return to Archive home page | Return to MIDRANGE.COM home page

This mailing list archive is Copyright 1997-2022 by midrange.com and David Gibbs as a compilation work. Use of the archive is restricted to research of a business or technical nature. Any other uses are prohibited. Full details are available on our policy page. If you have questions about this, please contact [javascript protected email address].

Operating expenses for this site are earned using the Amazon Associate program and Google Adsense.